// LL_USB_cDlg.h : header file
//

#if !defined(AFX_LL_USB_CDLG_H__0671FC87_D041_4C73_9505_9192393B203B__INCLUDED_)
#define AFX_LL_USB_CDLG_H__0671FC87_D041_4C73_9505_9192393B203B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#include "USB_clss.h"


/*
class LocalDevClass_TCPIP{
 public:
	MyLL_TCPIP *pMyLL_TCPIP;
	BYTE usDefNumDevInIniFile;

	USHORT usDefDevID;
	USHORT ausDefDevID[32];

	BYTE bDefChan;
	BYTE abChan[32];

	DOUBLE dblDefRate;
	DOUBLE adblDevRate[32];

	BOOLEAN m_AnyDevScanning;
	BOOLEAN m_afDevScanning[32];

	//BYTE bLastDigin;
	BYTE bLastDigin[32];

	//CWinThread* pCWinThread;

	UINT uiDefOS_Code;
	BYTE bCurDevListIndex;


	//#define CMND_SINGLE_CHAN_SCAN			 1
	//#define CMND_SINGLE_CHAN_DIGIN_SCAN	 2
	//#define CMND_MULTI_CHAN_SCAN			 3  
	//#define CMND_MULTI_CHAN_CAL_SCAN		 4  
	//#define CMND_MULTI_CHAN_DIGIN_SCAN	 5    
	//#define CMND_MULTI_CHAN_DIGIN_CAL_SCAN 6    
	BYTE bScanType[32];

	HANDLE	hScanThread[32];
	DWORD	dwScanThreadID[32];
	BOOLEAN fScanThreadRunning[32];
	USHORT	usNumScanPntsToRequest[32];
	BOOLEAN fExitScanThreadRequest[32];


	HANDLE	hInitThread;
	DWORD	dwInitThreadID;
	BOOLEAN fInitThreadRunning;
	BOOLEAN fInitThreadShouldExit;


	HANDLE	hInitThreadCall;
	DWORD	dwInitThreadCallID;
	BOOLEAN fInitThreadCallRunning;
	BOOLEAN fInitThreadCallShouldExit;
};
*/



class LocalDevClass_USB{
 public:
	MyLL_USB *pMyLL_USB;
	BYTE usDefNumDevInIniFile;
	BYTE bCurNumDevices;

	USHORT usDefDevID;
	USHORT ausDevID[32];

	BYTE bDefChan;
	BYTE abChan[32];

	DOUBLE dblDefRate;
	DOUBLE adblDevRate[32];

	BOOLEAN m_fAnyDevScanning;
	BOOLEAN m_afDevScanning[32];

	BYTE m_bDefNumScanChans;
	BYTE m_bNumScanChans[32];

	BYTE m_bDefDAC;
	BYTE m_abDefDAC[32];;


	//BYTE bLastDigin;
	BYTE bLastDigin[32];


	CWinThread* pCWinThread;

	UINT uiDefOS_Code;
	BYTE bCurDevListIndex;


	//#define CMND_SINGLE_CHAN_SCAN			1
	//#define CMND_MULTI_CHAN_SCAN			2  
	//#define CMND_MULTI_CHAN_CAL_SCAN		3  
	//#define CMND_SINGLE_CHAN_DIGIN_SCAN		4
	//#define CMND_MULTI_CHAN_DIGIN_SCAN		5    
	//#define CMND_MULTI_CHAN_DIGIN_CAL_SCAN  6    
	BYTE m_bDefScanType;
	BYTE m_bScanType[32];

	HANDLE	hScanThread[32];
	DWORD	dwScanThreadID[32];
	BOOLEAN fScanThreadRunning[32];
	USHORT	usNumScanPntsToRequest[32];
	BOOLEAN fExitScanThreadRequest[32];
	BOOLEAN fStartThreadTakingData[32];

	HANDLE	hInitThread;
	DWORD	dwInitThreadID;
	BOOLEAN fInitThreadRunning;
	BOOLEAN fInitThreadShouldExit;


	HANDLE	hInitThreadCall;
	DWORD	dwInitThreadCallID;
	BOOLEAN fInitThreadCallRunning;
	BOOLEAN fInitThreadCallShouldExit;
};


/////////////////////////////////////////////////////////////////////////////
// CLL_USB_cDlg dialog

class CLL_USB_cDlg : public CDialog
{
// Construction
public:
	CLL_USB_cDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CLL_USB_cDlg)
	enum { IDD = IDD_LL_USB_C_DIALOG };
	CEdit	m_VoltsDAC;
	CButton	m_pCalScanChkBox;
	CButton	m_pDiginScanChkBox;
	CButton	m_pMultiScanChanChkBox;
	CProgressCtrl	m_ProgressCntrl;
	CString	m_strRate;
	BOOL	m_IsMultiChanChecked;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLL_USB_cDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
	void OnOK() ;

public:
	CRichEditCtrl* pRichEditScanStat;
	CRichEditCtrl* pRichEditMsgs;
	UINT uiTimerInit;
	UINT uiTimerScan;
	UINT uiTimerMiscIO;
	USHORT m_usProgressCurPos;
	USHORT m_usProgressMax;

	BOOLEAN m_ComboRateChanged;
	LocalDevClass_USB* pLocalDevClass_USB;

	void HandleScanChks();
	void UpdateNumScanChansCntrl();
	//static UINT __cdecl MyControllingFunction(LPVOID pval);


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CLL_USB_cDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnInitAll();
	afx_msg void OnBtnGetOneVoltage();
	afx_msg void OnBtnSendDigout();
	afx_msg void OnBtnGetDigitalInput();
	afx_msg void OnBtnStartStopScanning();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSelchangeComboDevRate();
	afx_msg void OnBtnExit();
	afx_msg void OnEditupdateComboDevRate();
	afx_msg void OnBtnSendRate();
	afx_msg void OnEditchangeComboDevChan();
	afx_msg void OnEditchangeComboDevId();
	afx_msg void OnSelchangeComboDevChan();
	afx_msg void OnMove(int x, int y);
	afx_msg void OnButton1();
	afx_msg void OnChkScanMultiChan();
	afx_msg void OnChkScanCalScan();
	afx_msg void OnChkScanDigin();
	afx_msg void OnEditchangeComboScanNumChans();
	afx_msg void OnEditchangeComboDac();
	afx_msg void OnBtnSendAnalogout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};





//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LL_USB_CDLG_H__0671FC87_D041_4C73_9505_9192393B203B__INCLUDED_)
