// ScanDataDlg.cpp : implementation file
//

#include "stdafx.h"
#include "LL_USB_c.h"
#include "ScanDataDlg.h"

#include "LL_USB_cDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


extern HWND  hMainDlg;
extern CLL_USB_cDlg* pMainDlg;


/////////////////////////////////////////////////////////////////////////////
// ScanDataDlg dialog


ScanDataDlg::ScanDataDlg(CWnd* pParent /*=NULL*/)
	: CDialog(ScanDataDlg::IDD, pParent)
{
	// Enable RichEdit - if this isn't done
	//  dialog box WILL NOT DISPLAY!
	AfxInitRichEdit();

	//{{AFX_DATA_INIT(ScanDataDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void ScanDataDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(ScanDataDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(ScanDataDlg, CDialog)
	//{{AFX_MSG_MAP(ScanDataDlg)
	ON_WM_DESTROY()
	ON_WM_CANCELMODE()
	ON_WM_CLOSE()
	ON_WM_CAPTURECHANGED()
	ON_EN_SETFOCUS(IDC_EDIT_SD_PNTS_READ, OnSetfocusEditSdPntsRead)
	ON_EN_SETFOCUS(IDC_EDIT_SD_PNTS_IN_BUFF, OnSetfocusEditSdPntsInBuff)
	ON_EN_SETFOCUS(IDC_EDIT_SD_SCAN_DIGIN, OnSetfocusEditSdScanDigin)
	ON_EN_SETFOCUS(IDC_EDIT_SD_SCAN_DATA_RATE, OnSetfocusEditSdScanDataRate)
	ON_EN_SETFOCUS(IDC_EDIT_SD_SCAN_STATUS, OnSetfocusEditSdScanStatus)
	ON_WM_MOVE()
	ON_WM_CHAR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// ScanDataDlg message handlers

void ScanDataDlg::OnDestroy() 
{ CDialog::OnDestroy(); /* may want to cleanup here */}

void ScanDataDlg::OnCancelMode() 
{ CDialog::OnCancelMode(); }

void ScanDataDlg::OnClose() 
{
	if(pMainDlg->pLocalDevClass_USB->m_fAnyDevScanning)
	{ /* prevent closing if scanning */  return; }

	// okay to close if not scanning
	CDialog::OnClose();
}



void ScanDataDlg::OnCaptureChanged(CWnd *pWnd) 
{ CDialog::OnCaptureChanged(pWnd); }

void ScanDataDlg::OnSetfocusEditSdPntsRead() 
{ CWnd* pEdit = GetDlgItem(IDC_FOCUS_HIDE); pEdit->SetFocus(); }
void ScanDataDlg::OnSetfocusEditSdPntsInBuff() 
{ CWnd* pEdit = GetDlgItem(IDC_FOCUS_HIDE); pEdit->SetFocus(); }
void ScanDataDlg::OnSetfocusEditSdScanDigin() 
{ CWnd* pEdit = GetDlgItem(IDC_FOCUS_HIDE); pEdit->SetFocus(); }
void ScanDataDlg::OnSetfocusEditSdScanDataRate() 
{ CWnd* pEdit = GetDlgItem(IDC_FOCUS_HIDE); pEdit->SetFocus(); }
void ScanDataDlg::OnSetfocusEditSdScanStatus() 
{ CWnd* pEdit = GetDlgItem(IDC_FOCUS_HIDE); pEdit->SetFocus(); }

void ScanDataDlg::OnMove(int x, int y) 
{
	//MessageBox("test", " NOTICE -----", 0);
	CDialog::OnMove(x, y);
	
	// TODO: Add your message handler code here
	
}

void ScanDataDlg::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: Add your message handler code here and/or call default
	
	CDialog::OnChar(nChar, nRepCnt, nFlags);
}
